﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Reporting;
using System.Data;

namespace ReportingWithStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable table = new DataTable("simpleTable");

            table.Columns.Add(new DataColumn("ID", typeof(int)));
            table.Columns.Add(new DataColumn("Name", typeof(string)));

            for (int i = 0; i < 10; i++)
            {
                DataRow d = table.NewRow();
                d["ID"] = i;
                d["Name"] = "Name " + i;

                table.Rows.Add(d);
            }

            xamDataGrid1.DataSource = table.DefaultView;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Report reportObj = new Report();

            // Create section with chart
            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(xamDataGrid1);
            reportObj.Sections.Add(section);

            // Put report to preview control
            xamReportPreview1.GeneratePreview(reportObj, false, false);

        }
    }

    public class Converter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                if ((int)value % 2 == 0)
                {
                    return Brushes.Green;
                }
                else
                {
                    return Brushes.Red;
                }
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
